package cd.casic.ci.common.pipeline;

import com.fasterxml.jackson.databind.ObjectMapper;
import jakarta.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.AutoConfigureOrder;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.Ordered;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline
 * @Project：ops-pro
 * @name：CommonPipelineAutoConfiguration
 * @Date：2025/03/25 17:30
 * @Filename：CommonPipelineAutoConfiguration
 * @description：Todo
 */
@Configuration
@AutoConfigureOrder(Ordered.LOWEST_PRECEDENCE)
public class CommonPipelineAutoConfiguration {

    @Autowired(required = false)
    private ObjectMapper objectMapper;

    @PostConstruct
    public void registerSubtypesObjectMapper() {
        ElementSubTypeRegisterLoader.registerElement(objectMapper);
        DispatchSubTypeRegisterLoader.registerType();
        DispatchSubInfoRegisterLoader.registerInfo();
    }
}
