package cd.casic.ci.common.pipeline.pojo;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.text.MessageFormat;

/**
 * @author by mianbin
 * @Classname ErrorType
 * @Description TODO
 * @Date 2025/4/1 14:50
 */
@Getter
@AllArgsConstructor
public enum ErrorType {
    SYSTEM("system", 0), // 0 系统运行报错
    USER("user", 1), // 1 用户配置报错
    THIRD_PARTY("thirdParty", 2), // 2 第三方系统接入错误
    PLUGIN("plugin", 3), // 3 插件执行错误
    BUILD_MACHINE("buildMachine", 4); // 4 构建机运行报错

    private final String typeName;
    private final int num;

    public static ErrorType getErrorType(String name) {
        for (ErrorType enumObj : values()) {
            if (enumObj.name().equals(name)) {
                return enumObj;
            }
        }
        return null;
    }

    public static ErrorType getErrorType(Integer ordinal) {
        if (ordinal == null) {
            return PLUGIN;
        }
        switch (ordinal) {
            case 0:
                return SYSTEM;
            case 1:
                return USER;
            case 2:
                return THIRD_PARTY;
            case 4:
                return BUILD_MACHINE;
            default:
                return PLUGIN;
        }
    }

    public String getI18n(String language) {
        return MessageFormat.format("errorType." + this.typeName,
                language);
    }
}
