package cd.casic.ci.common.pipeline.type;

import cd.casic.ci.common.pipeline.type.docker.ImageType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;

import java.util.Optional;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.type
 * @Project：ops-pro
 * @name：StoreDispatchType
 * @Date：2025/03/27 10:45
 * @Filename：StoreDispatchType
 * @description：Todo
 */
@AllArgsConstructor
public abstract class StoreDispatchType extends DispatchType {
    @Schema(title = "docker构建版本", required = false)
    private String dockerBuildVersion;

    @Schema(title = "镜像类型", required = false)
    private ImageType imageType = ImageType.BKDEVOPS;

    @Schema(title = "凭证id", required = false)
    private String credentialId = "";

    @Schema(title = "凭证项目id", required = false)
    private String credentialProject = "";

    @Schema(title = "商店镜像代码", required = false)
    private String imageCode = "";

    @Schema(title = "商店镜像版本", required = false)
    private String imageVersion = "";

    @Schema(title = "商店镜像名称", required = false)
    private String imageName = "";

    @Schema(title = "商店镜像公共标识", required = false)
    private Boolean imagePublicFlag = false;

    @Schema(title = "商店镜像研发来源", required = false)
    private String imageRDType = "";

    @Schema(title = "商店镜像是否推荐", required = false)
    private Boolean recommendFlag = true;

    public StoreDispatchType(String dockerBuildVersion, DispatchRouteKeySuffix routeKeySuffix) {
        super(Optional.ofNullable(dockerBuildVersion).orElse("StoreDispatchType empty image"), routeKeySuffix);
        this.dockerBuildVersion = dockerBuildVersion;
    }

    public StoreDispatchType(String s, DispatchRouteKeySuffix dispatchRouteKeySuffix, ImageType imageType, String credentialId, String credentialProject, String imageCode, String imageVersion, String imageName) {
        super(s, dispatchRouteKeySuffix);
        this.imageType = imageType;
        this.credentialId = credentialId;
        this.credentialProject = credentialProject;
        this.imageCode = imageCode;
        this.imageVersion = imageVersion;
        this.imageName = imageName;
    }
}
