package cd.casic.pipeline.environment.pojo.thirdpartyagent;

import cd.casic.pipeline.environment.pojo.thirdpartyagent.pipeline.CommandPipeline;
import cd.casic.pipeline.environment.pojo.thirdpartyagent.pipeline.FilePipeline;
import cd.casic.pipeline.environment.pojo.thirdpartyagent.pipeline.PipelineType;
import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname ThirdPartyAgentPipeline
 * @Description TODO
 * @Date 2025/4/8 21:20
 */
@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, include = JsonTypeInfo.As.PROPERTY, property = "type")
@JsonSubTypes({
        @JsonSubTypes.Type(value = CommandPipeline.class, name = "COMMAND"),
        @JsonSubTypes.Type(value = FilePipeline.class, name = "FILE")
})
@Data
@AllArgsConstructor
public class ThirdPartyAgentPipeline {
    private PipelineType type;
    private String seqId;
}
