package cd.casic.ci.log.dal.dao;

import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.ci.log.dal.dataobject.LogSubTags;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author by mianbin
 * @Classname LogTahMapper
 * @Description TODO
 * @Date 2025/3/20 10:13
 */
@Mapper
public interface LogTahMapper extends BaseMapperX<LogSubTags> {

    default void save(String buildId, String tag, String subTags) {
        LogSubTags logSubTags = new LogSubTags(buildId, tag, subTags);
        insert(logSubTags);
        // todo 如果存在的话就更新值
    }

    default String getSubTags(String buildId, String tag) {
        LambdaQueryWrapper<LogSubTags> wrapper = Wrappers.<LogSubTags>lambdaQuery()
                .eq(LogSubTags::getBuildId, buildId)
                .eq(LogSubTags::getTag, tag);
        LogSubTags one = selectOne(wrapper);
        if (one != null) {
            return one.getSubTags();
        }
        return null;
    }

    /**
     * 删除所有 deleteList 里面的 buildId 构造的日志
     */
    default void delete(List<String> deleteList) {
        LambdaQueryWrapper<LogSubTags> wrapper = Wrappers.<LogSubTags>lambdaQuery().in(LogSubTags::getBuildId, deleteList);
        delete(wrapper);
    }

}
