package cd.casic.ci.log.dal.pojo.message;

import cd.casic.ci.log.dal.pojo.enums.LogType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname LogMessage
 * @Description 日志模型
 * @Date 2025/3/19 17:13
 */
@Data
@Schema(title = "日志模型")
@AllArgsConstructor
public class LogMessage {

    @Schema(description = "日志内容信息")
    String message;
    @Schema(description = "时间戳")
    long timestamp;
    @Schema(description = "标签")
    String tag = "";
    @Schema(title = "step Id")
    String stepId = "";
    @Schema(description = "job id")
    String jobId = "";
    @Schema(title = "container Hash Id")
    String containerHashId = "";
    @Schema(description = "日志类型")
    LogType logType = LogType.LOG;
    @Schema(description = "执行次数")
    int executeCount;
    @Schema(description = "子标签")
    String subTag = null;
}
