package cd.casic.ci.process.api.engine.pojo;

import cd.casic.ci.common.pipeline.option.StageControlOption;
import lombok.Data;

import java.io.Serializable;

/**
 * @author by mianbin
 * @Classname PipelineBuildStageControlOption
 * @Description 管道构建阶段控制选项类，用于封装管道构建阶段的控制相关信息
 * @Date 2025/3/31 16:58
 */
@Data
public class PipelineBuildStageControlOption implements Serializable {

    /**
     * 阶段控制选项
     */
    private final StageControlOption stageControlOption;

    /**
     * 是否为最终阶段，默认为 false
     */
    private final boolean finallyStage;

    /**
     * 是否快速终止，默认为 false
     */
    private final Boolean fastKill;

    /**
     * 全参构造函数
     *
     * @param stageControlOption 阶段控制选项
     * @param finallyStage       是否为最终阶段
     * @param fastKill           是否快速终止
     */
    public PipelineBuildStageControlOption(StageControlOption stageControlOption, boolean finallyStage, Boolean fastKill) {
        this.stageControlOption = stageControlOption;
        this.finallyStage = finallyStage;
        this.fastKill = fastKill == null ? false : fastKill;
    }
}
