package cd.casic.ci.process.api.process.pojo.classify;

import cd.casic.ci.process.api.process.constant.PipelineViewType;
import cd.casic.ci.process.api.process.pojo.classify.enums.Logic;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Collections;
import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewForm
 * @Date：2025/03/24 20:05
 * @Filename：PipelineViewForm
 * @description：Todo
 */
@Data
@Schema(title = "流水线视图表单")
public class PipelineViewForm {
    @Schema(title = "ID", required = false)
    private String id;
    @Schema(title = "视图名称", required = false)
    private String name;
    @Schema(title = "是否项目", required = false)
    private boolean projected;
    @Schema(title = "流水线组类型,1--动态,2--静态")
    private int viewType = PipelineViewType.UNCLASSIFIED;
    @Schema(title = "逻辑符", required = false)
    private Logic logic = Logic.AND;
    @Schema(title = "流水线视图过滤器列表", required = false)
    private List<PipelineViewFilter> filters = Collections.emptyList();
    @Schema(title = "流水线列表", required = false)
    private List<String> pipelineIds = Collections.emptyList();
}
