package cd.casic.ci.log.scm.dal.pojo;

import cd.casic.ci.log.scm.enums.CodeSvnRegion;
import lombok.Data;


@Data
public class CodeSvnRepository extends Repository {
    private CodeSvnRegion region;

    private String svnType;

    public static final String CLASS_TYPE = "codeSvn";
    public static final String SVN_TYPE_HTTP = "http";
    public static final String SVN_TYPE_SSH = "ssh";

    @Override
    public String getStartPrefix() {
        return "svn+ssh://";
    }

    @Override
    public Boolean isLegal() {
        if (svnType.equals(SVN_TYPE_HTTP)) {
            return url.startsWith("http://") || url.startsWith("https://") || url.startsWith("svn://");
        }
        return url.startsWith(getStartPrefix());
    }

    @Override
    public String getFormatURL() {
        String fixUrl = url;
        if (fixUrl.startsWith("svn+ssh://")) {
            String[] split = fixUrl.split("://");
            if (split.length == 2) {
                int index = split[1].indexOf("@");
                String suffix;
                if (index >= 0) {
                    suffix = split[1].substring(index + 1);
                } else {
                    suffix = split[1];
                }
                fixUrl = split[0] + "://" + suffix;
            }
        }
        return fixUrl;
    }
}
