package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.pipeline.store.pojo.atom.AtomRespItem;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.*;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_USER_ID;


@Tag(name = "USER_PIPELINE_ATOM", description = "流水线-插件")
@RestController
@RequestMapping("/user/pipeline/atom")
public interface UserAtomResource {

    @Operation(summary = "获取所有流水线插件信息")
    @GetMapping("/")
    PageResult<AtomRespItem> listAllPipelineAtoms(
            @Parameter(description = "userId", required = true)
            @RequestHeader(AUTH_HEADER_USER_ID)
            String userId,
            @Parameter(description = "支持的服务范围（pipeline/quality/all 分别表示流水线/质量红线/全部）", required = false)
            @RequestParam("serviceScope")
            String serviceScope,
            @Parameter(description = "job类型，AGENT： 编译环境，AGENT_LESS：无编译环境", required = false)
            @RequestParam("jobType")
            String jobType,
            @Parameter(description = "操作系统（ALL/WINDOWS/LINUX/MACOS）", required = false)
            @RequestParam("os")
            String os
    );
}