package cd.casic.pipeline.store.pojo.common.platform;

import cd.casic.pipeline.store.pojo.common.ErrorCodeInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "store组件对接平台请求报文体")
public class StoreDockingPlatformRequest {
    @Schema(title = "平台代码", required = true)
    private String platformCode;

    @Schema(title = "平台名称", required = true)
    private String platformName;

    @Schema(title = "网址", required = false)
    private String website;

    @Schema(title = "简介", required = true)
    private String summary;

    @Schema(title = "标签", required = false)
    private List<String> labels;

    @Schema(title = "负责人", required = true)
    private String principal;

    @Schema(title = "平台logo地址", required = false)
    private String logoUrl;

    @Schema(title = "所属机构名称", required = true)
    private String ownerDeptName;

    @Schema(title = "平台所属错误码前缀", required = true)
    private int errorCodePrefix;

    @Schema(title = "平台所属错误码信息", required = false)
    private List<ErrorCodeInfo> errorCodeInfo;
}