package cd.casic.pipeline.store.pojo.common.visible;

import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "用户和组件可见范围校验请求报文")
public class UserStoreDeptInfoRequest {
    @Schema(title = "用户ID", required = true)
    private String userId;
    
    @Schema(title = "用户机构ID列表", required = true)
    private List<Integer> userDeptIdList;
    
    @Schema(title = "store组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "store组件类型", required = true)
    private StoreTypeEnum storeType;
    
    @Schema(title = "公共组件标识", required = true)
    private Boolean publicFlag;
    
    @Schema(title = "store组件机构信息列表", required = true)
    private List<DeptInfo> storeDepInfoList;
}